Skip to main content
GET
/
v1
/
reviews
/
{review_id}
Get Review
curl --request GET \
  --url https://api.withflex.com/v1/reviews/{review_id} \
  --header 'Authorization: Bearer <token>'
{
  "review": {
    "review_id": "obj_01EXAMPLE00000000000000000",
    "stripe_review_id": "obj_01EXAMPLE00000000000000000",
    "charge_id": "obj_01EXAMPLE00000000000000000",
    "payment_intent_id": "obj_01EXAMPLE00000000000000000",
    "partner_id": "obj_01EXAMPLE00000000000000000",
    "reason": "rule",
    "opened_reason": "rule",
    "closed_reason": "approved",
    "open": false,
    "billing_zip": "string",
    "ip_address": "string",
    "test_mode": false,
    "client_reference_id": "obj_01EXAMPLE00000000000000000",
    "created_at": "2024-01-01T00:00:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.withflex.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Path Parameters

review_id
string
required
Example:

"obj_01EXAMPLE00000000000000000"

Response

Success

review
object
required

A Stripe Radar Review, persisted with Flex internal IDs.

Sent to merchants via webhook and queryable via GET /v1/reviews. All IDs are Flex-internal (frv_, fch_, fpi_); the original Stripe review id (prv_xxx) is also surfaced in responses for cross-reference.

Example:
{
  "review_id": "obj_01EXAMPLE00000000000000000",
  "stripe_review_id": "obj_01EXAMPLE00000000000000000",
  "charge_id": "obj_01EXAMPLE00000000000000000",
  "payment_intent_id": "obj_01EXAMPLE00000000000000000",
  "partner_id": "obj_01EXAMPLE00000000000000000",
  "reason": "rule",
  "opened_reason": "rule",
  "closed_reason": "approved",
  "open": false,
  "billing_zip": "string",
  "ip_address": "string",
  "test_mode": false,
  "client_reference_id": "obj_01EXAMPLE00000000000000000",
  "created_at": "2024-01-01T00:00:00Z"
}